%define	gitrev	68dee64

Summary: 	Displays scheduler statistics
Name: 		schedtop
Version: 	1.1
Release: 	0.%{gitrev}.1
License: 	GPLv2
Group: 		System/Kernel and hardware
URL: 		https://github.com/ghaskins/schedtop
Source0: 	%{name}-%{gitrev}.tar.xz
Patch0:		schedtop_linking.patch

BuildRequires:	boost-devel
BuildRequires:	ncurses-devel

%description
This utility will process statistics from /proc/schedstat such that the
busiest stats will bubble up to the top.  It can alternately be sorted by
the largest stat, or by name.  Stats can be included or excluded based on
reg-ex pattern matching.

%prep
%setup -qn %{name}
%apply_patches

%build
%setup_compile_flags
%make CFLAGS='%optflags -DBOOST_FILESYSTEM_VERSION=2 %ldflags' 

%install
%makeinstall_std PREFIX=%{buildroot}


%files
%{_bindir}/%{name}


%changelog
* Mon Jun 11 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.1-0.68dee64.1
+ Revision: 804425
- new version 1.1 snapshot
- added linking patch
- cleaned up spec

* Thu Mar 17 2011 Funda Wang <fwang@mandriva.org> 1.0-6
+ Revision: 645996
- force use filesystem v2
- rebuild for new boost

* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 1.0-5mdv2011.0
+ Revision: 572593
- rebuild

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 1.0-4mdv2011.0
+ Revision: 566005
- rebuild for new boost

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1.0-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Thu Mar 26 2009 Funda Wang <fwang@mandriva.org> 1.0-2mdv2009.1
+ Revision: 361283
- rebuild for new boost

  + trem <trem@mandriva.org>
    - update to 1.0

* Mon Dec 22 2008 Funda Wang <fwang@mandriva.org> 0.5-3mdv2009.1
+ Revision: 317404
- rebuild for new boost

* Tue Aug 19 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.5-2mdv2009.0
+ Revision: 273513
- rebuild against new boost

* Wed Jun 18 2008 trem <trem@mandriva.org> 0.5-1mdv2009.0
+ Revision: 225621
- add BuildRequires boost-devel ncurses-devel gcc-c++
- add description
- import schedtop


